<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscObjectStateIncrease</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscObjectStateIncrease"><H1>PetscObjectStateIncrease</H1></A>
Increases the state of any <A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>,  regardless of the type. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscErrorCode PetscObjectStateIncrease(PetscObject obj)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>obj </B> -any PETSc object, for example a <A HREF="../Vec/Vec.html#Vec">Vec</A>, <A HREF="../Mat/Mat.html#Mat">Mat</A> or <A HREF="../KSP/KSP.html#KSP">KSP</A>. This must be
cast with a (<A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>), for example, 
<A HREF="../Sys/PetscObjectStateIncrease.html#PetscObjectStateIncrease">PetscObjectStateIncrease</A>((<A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>)mat);
<br>
<P>
Notes: object state is an integer which gets increased every time
the object is changed. By saving and later querying the object state
one can determine whether information about the object is still current.
Currently, state is maintained for <A HREF="../Vec/Vec.html#Vec">Vec</A> and <A HREF="../Mat/Mat.html#Mat">Mat</A> objects.
<P>
This routine is mostly for internal use by PETSc; a developer need only
call it after explicit access to an object's internals. Routines such
as <A HREF="../Vec/VecSet.html#VecSet">VecSet</A> or <A HREF="../Mat/MatScale.html#MatScale">MatScale</A> already call this routine. It is also called, as a
precaution, in <A HREF="../Vec/VecRestoreArray.html#VecRestoreArray">VecRestoreArray</A>, <A HREF="../Mat/MatRestoreRow.html#MatRestoreRow">MatRestoreRow</A>, <A HREF="../Mat/MatRestoreArray.html#MatRestoreArray">MatRestoreArray</A>.
<P>

<P>
seealso: <A HREF="../Sys/PetscObjectStateQuery.html#PetscObjectStateQuery">PetscObjectStateQuery</A>, <A HREF="../Sys/PetscObjectStateDecrease.html#PetscObjectStateDecrease">PetscObjectStateDecrease</A>
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/private/petscimpl.h.html#PetscObjectStateIncrease">include/private/petscimpl.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
